import * as $dara from '@darabonba/typescript';
export declare class DescribeVpnPbrRouteEntriesResponseBodyVpnPbrRouteEntriesVpnPbrRouteEntry extends $dara.Model {
    createTime?: number;
    nextHop?: string;
    nextHopTunnelId?: string;
    priority?: number;
    routeDest?: string;
    routeSource?: string;
    state?: string;
    vpnInstanceId?: string;
    weight?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpnPbrRouteEntriesResponseBodyVpnPbrRouteEntries extends $dara.Model {
    vpnPbrRouteEntry?: DescribeVpnPbrRouteEntriesResponseBodyVpnPbrRouteEntriesVpnPbrRouteEntry[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeVpnPbrRouteEntriesResponseBody extends $dara.Model {
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 5BE01CD7-5A50-472D-AC14-CA181C5C03BE
     */
    requestId?: string;
    /**
     * @remarks
     * The number of entries returned.
     *
     * @example
     * 1
     */
    totalCount?: number;
    vpnPbrRouteEntries?: DescribeVpnPbrRouteEntriesResponseBodyVpnPbrRouteEntries;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
